# -*- coding: utf-8 -*
#!/usr/bin/python
import serial
import time
ser = serial.Serial("/dev/ttyAMA0",115200)
C_buff = ["AT\r\n", "AT+CPIN?\r\n", "AT+CSQ\r\n", "AT+CREG?\r\n","AT+CGATT?\r\n","AT+CMGF=1\r\n","AT+CSCA="+8613800755500\r\n","AT+CMGS"]
W_buff = [i.encode() for i in C_buff]
#ser.write(W_buff[0])
ser.flushInput()
data=b''
num=''
cmd=''
message=''


try:
    for i in range(len(C_buff)-2):
        ser.write(W_buff[i])
        time.sleep(0.1)
        while ser.inWaiting()<4:
            pass
        while ser.inWaiting()>0:
            data=ser.read(ser.inWaiting())
            print(data.decode())
        if (b'ERROR' in data):
            exit()
        data=b''
    time.sleep(1)
    num=input("电话号码：")
    cmd=W_buff[-1]+("=\""+num+"\"\r\n").encode()
    print(cmd)
    ser.write(cmd)
    time.sleep(0.1)
    while ser.inWaiting()<4:
        pass
    while ser.inWaiting()>0:
        data=ser.read(ser.inWaiting())
        print(data.decode())
    mesage=input("英文短信内容：")
    ser.write(message.encode())
    ser.write("\x1A\r\n".encode())
    for i in range(1000):
        while ser.inWaiting()>0:
            data=ser.read(ser.inWaiting())
            print(data.decode())
        time.sleep(0.01)
except KeyboardInterrupt:
    if ser != None:
        ser.close()
